INTERFACE
SUBROUTINE AROCLDIA(KIDIA,KFDIA, KLON,&
 & PUCLS, PVCLS, PTKE,&
 & PUGST, PVGST) 
USE PARKIND1 , ONLY : JPIM, JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA,KFDIA,KLON
REAL(KIND=JPRB), INTENT(IN) :: PUCLS(KLON), PVCLS(KLON), PTKE(KLON)
REAL(KIND=JPRB), INTENT(OUT) :: PUGST(KLON), PVGST(KLON)
END SUBROUTINE AROCLDIA
END INTERFACE
